privoxy: denial of service

2015-02-03T00:00:00
ID ASA-201502-1
Type archlinux
Reporter Arch Linux
Modified 2015-02-03T00:00:00

Description

  • CVE-2015-1380 (denial of service) Denial of service issue was found in case of client requests with incorrect chunk-encoded body. When compiled with assertions enabled (the default) they could previously cause Privoxy to abort().

  • CVE-2015-1381 (segmentation fault) Multiple segmentation faults and memory leaks were found in the pcrs code. This fix also increases the chances that an invalid pcrs command is rejected as such. Previously some invalid commands would be loaded without error. Note that privoxy's pcrs sources (action and filter files) are considered trustworthy input and should not be writable by untrusted third-parties.

  • CVE-2015-1382 (denial of service) A 'invalid read' bug was found which could at least theoretically cause privoxy to crash.